/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplicaion or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * auditdecl.h
 *
 * Defines declspec(import|export) for NT
 */

#ifndef AUDITDECL_H
#define AUDITDECL_H

#if defined(_WIN32) || defined(WIN32)
#if defined(AUDITDLL)
#define AUDIT_DECLSPEC          _declspec( dllexport )
#elif defined(USE_AUDITDLL)
#define AUDIT_DECLSPEC          _declspec( dllimport )
#else
#define AUDIT_DECLSPEC
#endif
#else /* not _WIN32 */
#define AUDIT_DECLSPEC
#endif /* _WIN32 */

#endif /* AUDITDECL_H */
